﻿-- preamble and postamble for table column formatting
f1='<hr style="height:5px;background-color:white;"/>\13\10&nbsp;'; 
f2='&nbsp;\13\10<hr style="height:1px;background-color:silver;"/>';

CSV=TCSV.Create("account-summary1.csv",",",false);

Heading="";

Stock="";
Value="";
Units="";
Code="";
Price=""
Profit=""

Date=""
Cash=""
Total="";
Client="";

Notes="";

repeat 
  Fields=CSV:Record()
  if Fields["field1"]~=nil then
    if Heading=="" then Heading=Fields["field1"] end
    if string.match(Fields["field1"],"created") then Date=Fields["field2"] end 
    if string.match(Fields["field1"],"cash") then Cash=Fields["field2"] end 
    if string.match(Fields["field1"],"Total value") then Total=Fields["field2"] end 
    if string.match(Fields["field1"],"Name") then Client=Fields["field2"] end 
    if string.match(Fields["field1"],"Number") then Client=Client.." ( ID: "..Fields["field2"]..")" end 
  end
until Fields["field1"]=="Stock";



repeat 
  Fields=CSV:Record(); 
  Stock=Stock..f1..Fields["field1"]..f2 
  Value=Value..f1..Fields["field2"]..f2
  Units=Units..f1..Fields["field4"]..f2
  Code=Code..f1..Fields["field9"]..f2
  Price=Price..f1..Fields["field10"]..f2
  Profit=Profit..f1..Fields["field5"]..f2
until Fields["field1"]=="Totals";

repeat 
  Fields=CSV:Record(); 
  if Fields==nil then break end;
  if Fields["field1"]~=nil then Notes=Notes.."<br/>"..Fields["field1"] end
until Fields==nil;



Stock=Stock..f1.."Total cash"..f2 
Stock=Stock..f1.."GRAND TOTAL"..f2 
Value=Value..f1..Cash..f2
Value=Value..f1..Total..f2



sq2 = THTML.Create("hl.html");



ms =TmemoryStream.Create();


sq2:replaceElement(sq2:findElement("data-eefield","Heading"),Heading)
sq2:replaceElement(sq2:findElement("data-eefield","Value"),Value)
sq2:replaceElement(sq2:findElement("data-eefield","Stock"),Stock)
sq2:replaceElement(sq2:findElement("data-eefield","Units"),Units)
sq2:replaceElement(sq2:findElement("data-eefield","Code"),Code)
sq2:replaceElement(sq2:findElement("data-eefield","Price"),Price)
sq2:replaceElement(sq2:findElement("data-eefield","Profit"),Profit)
sq2:replaceElement(sq2:findElement("data-eefield","Date"),Date)
sq2:replaceElement(sq2:findElement("data-eefield","Notes"),Notes)
sq2:replaceElement(sq2:findElement("data-eefield","Client"),Client)



sq2:savePrologue(ms);
sq2:saveBody(ms);
sq2:saveEpilogue(ms);


ms:Save("sipp.html");

os.execute("start sipp.html") 

pause('created sipp.html',5000)






